[% META title="Le Bricioline, fatture utente" %]
[% page_title="Fatture della formica " _ Catalyst.user.name  %]

[% PROCESS price_macros.tt %]
[% PROCESS date_macros.tt %]

[% IF invoice_type == "emitted" %]
	[% IF invoice_status == "paid" %]
	<p>Queste sono le fatture che hai emesso, che sono state
pagate e che però non hai ancora incassato. Per incassarle hai bisogno
del gettone che ti dà il compratore appena gli hai fornito il bene od
il servizio. Fino a quel momento i soldi del compratore li tengo in
custodia io.</p>
	[% action_cell = '<a href="[' _ '%
Catalyst.uri_for(\'/invoices/claim_\') _ row.id %' _ ']">Incassa</a>'%]
	[% ELSIF invoice_status == "authorized"  %]
	[% action_cell = '<a href="[' _ '%
Catalyst.uri_for(\'/invoices/fill_\') _ row.id %' _ ']">Compila</a>'%]
	[% END %]
	[% 
	buyer_or_seller = 'buyer' ;
	buyer_or_seller_caption   = 'Compratore:',
	%]
[% ELSE %]

	[% IF invoice_status == "emitted" %]
	<p>Queste sono le fatture che hai ricevuto e che non hai
ancora pagato. Nelle Bricioline il pagamento è anticipato, quindi non
puoi pretendere di avere il bene od il servizio fintanché non paghi la
fattura.</p>
	[% action_cell = '<a href="[' _ '%
Catalyst.uri_for(\'/invoices/pay_\') _ row.id %' _ ']">Paga fattura</a>'%]
	[% ELSIF invoice_status == 'authorized'  %]
	<p>Queste sono le fatture che hai autorizzato. Il venditore
non le ha ancora compilate. Puoi tranquillamente
cancellarle. Naturalmente in questo caso perdi "l'esclusiva" per avere
quel certo servizio o oggetto.</p>
	[% action_cell = '<a href="[' _ '%
Catalyst.uri_for(\'/invoices/delete_\') _ row.id %' _ ']">Cancella</a>'%]
	[% END %]

	[% 
	buyer_or_seller = 'seller';
	buyer_or_seller_caption   = 'Venditore:', 
        %]	

[% END %]

[%
	fields = [
	{
	db_name = 'id',
	out_name = 'N. Fattura:',
        pre_cell => '<a href="[' _ '% 
      Catalyst.uri_for(\'/invoices/view_invoice_\') _ row.id %' _ ']">',
        post_cell=> '</a>',
	},
	{
	db_name = 'nick',
	out_name = buyer_or_seller_caption,
        pre_cell => '<a href="[' _ '% 
      Catalyst.uri_for(\'/users/view_\') _ row.$buyer_or_seller %' _ ']">',
        post_cell=> '</a>',
	},
	{
	db_name = 'quantity',
	out_name = 'Quantità:',
	numeric_sort = 1,
        },
	{
	db_name = 'custom_cell',
	out_name = 'Importo:',
	numeric_sort = 1,
	is_numeric = 1,
	custom_cell = '[' _ '% format_price_tao(row.amount) %' _ ']',
        },
	{
	db_name = 'custom_cell',
	out_name = 'Totale:',
	numeric_sort = 1,
	is_numeric = 1,
	custom_cell = '[' _ '% format_price_tao(row.total) %' _ ']',
        },
	{
	db_name = 'custom_cell',
	custom_cell = action_cell,
	}	
	];

	dataset = invoices_list;
%]

[%
    tb_name = "invoices_list";
%]

[% PROCESS sortable_dataset_table.tt %]